<?php
namespace Misuzu\Config;

use Stringable;

interface IConfigValueInfo extends Stringable {
    public function getName(): string;

    public function getType(): string;
    public function isString(): bool;
    public function isInteger(): bool;
    public function isFloat(): bool;
    public function isBoolean(): bool;
    public function isArray(): bool;

    public function getValue(): mixed;
    public function getString(): string;
    public function getInteger(): int;
    public function getFloat(): float;
    public function getBoolean(): bool;
    public function getArray(): array;
}
